business.get

Retrieve comprehensive details about a specific Business entity.

POST http://api.kompliant.com/business.get (OpenAPI specification)

Usage Info

This method provides access to all stored information about a Business entity, including legal and operating names, registration details, contact information, addresses, industry classifications, and online presence. Use it to display business profiles, populate forms with existing data, or retrieve specific business attributes for compliance verification and decision-making processes.

Request

Authentication: KSig1-HMAC-SHA256

Parameters

ParameterTypeRequiredDescription
business_idstringYesThe ID of the Business.
show_sensitive_databooleanNoA boolean value that if true, indicates that sensitive data should shown. If the parameter is not provided, the value defaults to false and the sensitive data will be masked.

The sensitive data for the Business is the tax_id field.
verbosebooleanNoA boolean value that when true includes the sub entities of the business in the response.

The sub entities are business bank accounts, business owners and sales info.

Example

{
  "business_id": "b_7eobHllxknr7mfqbjnX2Pp",
  "show_sensitive_data": false,
  "verbose": true
}

Response

Data

ParameterTypeDescription
businessobjectThe business parameter is defined in the tables below.

Business Parameters

ParameterTypeDescription
business_idstringThe ID of the Business.
sales_info_idstringThe ID of the Sales Info entity. It's returned if the entity was previously created.
legal_namestringThe legal name of the business as noted in registration documents.
operating_namestringThe name under which the business operates day-to-day, sometimes call dba, DBA, or doing business as.
registration_typestringThe registration type of the business. Must be one of the BUSINESS_REGISTRATION_TYPES.
tax_idstringThe tax ID for the business. In the US this is typically the EIN.

Note: Tax ID is considered sensitive data and will be masked unless the show_sensitive request parameter is set to true.
phone_numberstringThe phone number used for the business. This field must be 10 characters long and must be in the pattern of NXXNXXXXXX, where N represents any digit from 2-9 and X represents any digit from 0-9. It must follow all other requirements of the North American Number Plan.
industry_category_codesarray of objectsThe list of industry_category_codes for this business. The industry category code parameter is defined below.

This parameter is not required. However, if an industry category code parameter is provided, certain fields may be required as outlined below.

At this time, only a single entry of Industry Code Type MCCis allowed. No other entries are supported.
established_datestringThe date when the business was establish. This must be in the YYYY-MM-DD format and contain only digits [0-9] and dashes.
transaction_typestringThe transaction type the business engages in.
Possible values are one of BUSINESS_TRANSACTION_TYPES .
business_descriptionstringA short description of the products and/or services the business provides.
addressesarray of objectsThe list of addresses for the business. Only one address of each type can be added to the list.

This parameter is not required. However, if an address parameter is provided, the type value is required.
social_networksarray of objectsThe list of social network URLs for the business.

This parameter is not required. However, if an social network parameter is provided, the network and URL are both required.
websitestringThe URL for the website for the business.
additional_fieldsarray of objectsThe list of additional fields. The additional fields parameter is defined in the table below.

This parameter requires the additional fields feature to be enabled in the account configuration.
sales_infoobjectAn object containing the sales information that belongs to the subject record.

Requires verbose to be true to be displayed.
business_ownersarray of objectsA list of containing the business owners information that belongs to the subject record.

Requires verbose to be true to be displayed.
business_bank_accountsarray of objectsA list containing the business bank accounts information that belongs to the subject record.

Requires verbose to be true to be displayed.
business_locationsarray of objectsA list containing the business locatons information that belongs to the subject record.

Requires verbose to be true to be displayed.
created_atstringThe date-time when the Business was created.

The value will be in ISO 8601 date and time format (YYYY-MM-DDTHH:mm:ss.SSSZ).
updated_atstringThe date-time when the Business was last updated. If there has been no update, the value will be the same as the created_at value.

The value will be in ISO 8601 date and time format (YYYY-MM-DDTHH:mm:ss.SSSZ).

Industry Category Codes Parameters

ParameterTypeDescription
typestringThe industry code type. Must be one of the INDUSTRY_CODE_TYPES.
codestringThe value for the code.
detailsobjectSome industry codes require more details.

The following industry code types require details and the type of details required. The details are outlined below.

MCC: mcc_details parameter

MCC Details Parameters

ParameterTypeDescription
card_brandstringThe card brand whose MCC list is being referenced. Must be one of the MCC_CARD_BRANDS.

Addresses Parameters

ParameterTypeDescription
typestringThe type of address. Must be one of the BUSINESS_ADDRESS_TYPES.
line1stringPrimary street address information (building number, street name).
line2stringSecondary address information (apartment, suite, unit, etc.)
citystringCity or municipality name
statestringTwo character code for the state. Must be one of the STATES.
postal_codestringZIP or postal code for mail delivery
countrystringTwo character code for the country. Must be one of the COUNTRIES.

Social Networks Parameters

ParameterTypeDescription
networkstringThe social network name. Must be one of the SOCIAL_NETWORKS.
urlstringThe complete URL of the business profile on the specified social network.

Additional Fields Parameters

ParameterTypeRequiredDescription
fieldstringYesThis parameter represents the name of the additional field.
valuestring
number
boolean
YesThis parameter represents the value of the additional field. The type of value depend on the provided account configuration.

Example

{
  "meta": {
    "status": "SUCCESS",
    "trace_id": "trc_6zNzQZHSf26V83BO3uW6dS",
    "version": "2025-03-24"
  },
  "data": {
    "business": {
      "business_id": "b_7eobHllxknr7mfqbjnX2Pp",
      "sales_info_id": "bsi_697YYEtrLpod105bhCoSjd",
      "legal_name": "Rockout Pay LLC",
      "operating_name": "Rockout Pay",
      "registration_type": "LLC_PRIVATE",
      "tax_id": "XXXXXX890",
      "phone_number": "5551234567",
      "industry_category_codes": [
        {
          "type": "MCC",
          "code": "5734",
          "details": {
            "mcc_details": {
              "card_brand": "MASTERCARD"
            }
          }
        }
      ],
      "established_date": "2018-03-15",
      "business_description": "Technology solutions provider specializing in cloud infrastructure and IoT applications",
      "addresses": [
        {
          "type": "LEGAL",
          "line1": "1234 Innovation Drive",
          "line2": "Suite 500",
          "city": "Austin",
          "state": "TX",
          "postal_code": "78701",
          "country": "US"
        }
      ],
      "social_networks": [
        {
          "network": "LINKEDIN",
          "url": "https://www.linkedin.com/company/rockoutpay"
        },
        {
          "network": "FACEBOOK",
          "url": "https://www.facebook.com/RockoutPay"
        }
      ],
      "website": "https://www.rockoutpay.com",
      "additional_fields": [
        {
          "field": "internal_identifier",
          "value": "d55319ed-8cad-40cd-9858-8a16a707a420"
        }
      ],
      "created_at": "2025-01-18T19:42:27.553Z",
      "updated_at": "2025-01-18T19:42:27.553Z"
    }
  }
}

Example with verbose

{
  "meta": {
    "status": "SUCCESS",
    "version": "2025-03-24",
    "trace_id": "trc_56LWzO4whoTeOAwAqeGQiB"
  },
  "data": {
    "business": {
      "business_id": "b_2ugA3v729t5Se65ldS0QsS",
      "sales_info_id": "bsi_7Y14fKP6qshl5rAQlgGwvR",
      "operating_name": "Rockout Pay",
      "legal_name": "Rockout Pay LLC",
      "registration_type": "GOVERNMENT",
      "established_date": "1990-03-30",
      "tax_id": "******890",
      "phone_number": "8888888888",
      "addresses": [
        {
          "type": "LEGAL",
          "line1": "1234 INNOVATION DRIVE",
          "line2": "SUITE 500",
          "city": "AUSTIN",
          "state": "TX",
          "postal_code": "78701",
          "country": "US"
        },
        {
          "type": "MAILING",
          "line1": "1234 INNOVATION DRIVE",
          "line2": "SUITE 500",
          "city": "AUSTIN",
          "state": "TX",
          "postal_code": "78701",
          "country": "US"
        }
      ],
      "industry_category_codes": [
        {
          "type": "MCC",
          "code": "5734",
          "details": {
            "mcc_details": {
              "card_brand": "MASTERCARD"
            }
          }
        }
      ],
      "website": "https://www.rockoutpay.com",
      "social_networks": [
        {
          "network": "YOUTUBE",
          "url": "https://www.twitter.com/company/rockoutpay"
        },
        {
          "network": "FACEBOOK",
          "url": "https://www.facebook.com/RockoutPay"
        },
        {
          "network": "LINKEDIN",
          "url": "https://www.linkedin.com/company/rockoutpay"
        }
      ],
      "business_description": "Technology solutions provider specializing in cloud infrastructure and IoT applications",
      "additional_fields": [
        {
          "field": "custom_field_1",
          "value": "Some string value"
        },
        {
          "field": "custom_field_2",
          "value": 12345
        },
        {
          "field": "custom_field_3",
          "value": "2024-06-24"
        },
        {
          "field": "custom_field_4",
          "value": true
        },
        {
          "field": "custom_field_5",
          "value": "OPTION_2"
        }
      ],
      "created_at": "2025-09-02T20:12:21.080Z",
      "updated_at": "2025-09-02T20:14:03.174Z",
      "business_bank_accounts": [
        {
          "business_bank_account_id": "bba_3AbblYJyIsLBMSZorLSgVW",
          "bank_account_id": "ba_2KFOrwo5SJktq6AWPev9xV",
          "created_at": "2025-09-02T20:13:26.543Z",
          "updated_at": "2025-09-02T20:13:26.543Z"
        }
      ],
      "business_owners": [
        {
          "business_owner_id": "bo_6C1oVxTdsGRqAqO5gXWurt",
          "person_id": "p_1Sx7x6QbfzH8OBmOhg7Vt1",
          "ownership_type": "CONTROL_PRONG",
          "ownership_percentage": 50,
          "ownership_year_month": "1990-03",
          "business_person_position": "PRESIDENT",
          "created_at": "2025-09-02T20:13:17.209Z",
          "updated_at": "2025-09-02T20:13:17.209Z"
        }
      ],
      "sales_info": {
        "sales_info_id": "bsi_7Y14fKP6qshl5rAQlgGwvR",
        "card_brands": [
          "AMEX"
        ],
        "sales_methods": {
          "retail": 100,
          "telephone": 0,
          "online": 0,
          "keyed": 0
        },
        "sales_amount": [
          {
            "type": "AVERAGE_MONTHLY_CREDIT_SALES",
            "value": 1000000000,
            "currency": "USD"
          },
          {
            "type": "AVERAGE_INDIVIDUAL_SALE",
            "value": 1000000000,
            "currency": "USD"
          },
          {
            "type": "HIGHEST_TICKET_SALE",
            "value": 1000000000,
            "currency": "USD"
          }
        ]
      }
    }
  }
}

Errors

Error CodeHTTP CodePossible Cause
BAD_REQUEST400Required parameters not provided.
Invalid values provided.
ENTITY_NOT_FOUND400The business_id provided does not exist.